import { DurationInput, DateInput } from './types';
/**
 * Return a new date with the duration applied.
 *
 * @example
 * const newDate = apply('2020-01-01T00:00:00.000Z', { years: 2 })
 * newDate.toISOString() // '2022-01-01T00:00:00.000Z'
 */
export declare const apply: (date: DateInput, duration: DurationInput) => Date;
