/**
 * Flowtype definitions for units
 * Generated by Flowgen from a Typescript Definition
 * Flowgen v1.21.0
 */

declare export var ZERO: $ReadOnly<{
  years: number,
  months: number,
  weeks: number,
  days: number,
  hours: number,
  minutes: number,
  seconds: number,
  milliseconds: number,
  ...
}>;
export type UnitKey = $Keys<typeof ZERO>;
declare export var UNITS_META_MAP_LITERAL: {
  +years: {
    +milliseconds: number,
    +months: 12,
    +dateGetter: (date: Date) => number,
    +ISOCharacter: "Y",
    +ISOPrecision: "period",
    ...
  },
  +months: {
    +milliseconds: number,
    +months: 1,
    +dateGetter: (date: Date) => number,
    +ISOCharacter: "M",
    +ISOPrecision: "period",
    ...
  },
  +weeks: {
    +milliseconds: number,
    +dateGetter: () => number,
    +ISOCharacter: "W",
    +ISOPrecision: "period",
    +stringifyConvertTo: "days",
    ...
  },
  +days: {
    +milliseconds: number,
    +dateGetter: (date: Date) => number,
    +ISOCharacter: "D",
    +ISOPrecision: "period",
    ...
  },
  +hours: {
    +milliseconds: number,
    +dateGetter: (date: Date) => number,
    +ISOCharacter: "H",
    +ISOPrecision: "time",
    ...
  },
  +minutes: {
    +milliseconds: number,
    +dateGetter: (date: Date) => number,
    +ISOCharacter: "M",
    +ISOPrecision: "time",
    ...
  },
  +seconds: {
    +milliseconds: 1000,
    +dateGetter: (date: Date) => number,
    +ISOCharacter: "S",
    +ISOPrecision: "time",
    ...
  },
  +milliseconds: {
    +milliseconds: 1,
    +dateGetter: (date: Date) => number,
    +stringifyConvertTo: "seconds",
    ...
  },
  ...
};
declare interface Unit {
  milliseconds: number;
  months?: number;
  dateGetter(date: Date): number;
  ISOCharacter?: string;
  ISOPrecision?: "period" | "time";
  stringifyConvertTo?: UnitKey;
}
declare export var UNITS_META_MAP: $ObjMapi<
  { [k: UnitKey]: any },
  <key>(key) => Unit
>;
/**
 * All the keys of the `Duration` type, ordered from largest
 * to smallest.
 */
declare export var UNITS: [
  "years",
  "months",
  "weeks",
  "days",
  "hours",
  "minutes",
  "seconds",
  "milliseconds"
];
declare export var UNITS_META: $ReadOnlyArray<{
  unit:
    | "years"
    | "months"
    | "weeks"
    | "days"
    | "hours"
    | "minutes"
    | "seconds"
    | "milliseconds",
  milliseconds: number,
  months?: number | void,
  dateGetter(date: Date): number,
  ISOCharacter?: string | void,
  ISOPrecision?: "time" | "period" | void,
  stringifyConvertTo?:
    | "years"
    | "months"
    | "weeks"
    | "days"
    | "hours"
    | "minutes"
    | "seconds"
    | "milliseconds"
    | void,
  ...
}>;
