/**
 * Flowtype definitions for normalize
 * Generated by Flowgen from a Typescript Definition
 * Flowgen v1.21.0
 */

import { Duration, DurationInput, DateInput } from "./types";

/**
 * Convert a duration object or number of milliseconds into a complete
 * duration object that expresses the value in the most appropriate units.
 *
 * If a `referenceDate` argument is provided, the returned duration is normalized
 * relative to that date. This means each day, month and year has an unambiguous
 * duration, and the `normalize` function can safely convert between these units.
 * @example normalize({ milliseconds 4000 }) // { ..., seconds: 4, milliseconds: 0 }
 * normalize('P28DT24H') // { ..., days: 29 }
 * normalize('P28DT24H', '2018-02-01') // { ..., months: 1, days: 1 }
 * normalize('P28DT24H', '2016-02-01') // { ..., months: 1, days: 0 } (leap year)
 */
declare export var normalize: (
  duration: DurationInput,
  referenceDate?: DateInput
) => Duration;
